# =========================================================================== #
# Gemspec for Project Autostart.
# =========================================================================== #
require 'autostart/version/version.rb'

Gem::Specification.new { |s|

  s.name    = 'autostart'
  s.version = Autostart::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')
  
  DESCRIPTION =  <<-EOF

    This tiny project just tries to create some autostart-related
    files. I dont think it will be too useful for others though.

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.
  EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION

  s.extra_rdoc_files = %w()

  s.authors     = ['Robert A. Heiler']
  s.email       = 'shevegen@gmail.com'
  s.license     = 'GPL-2.0'
  s.files       = Dir['**/*']
  s.homepage    = 'http://rubygems.org/gems/autostart'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  s.add_dependency 'colours'
  s.add_dependency 'opn'

}